QGIS Application - Bug report #13301

Load more than one shp file, making some not visible, and 'ldentify Feature' will give info for shapes
not visible

2015-08-31 10:37 PM - Ray Kiddy
Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Description

This was confusing, but | think | see what is going on now.

| loaded 3 shp files. | downloaded:
ftp:/ftp2.census.gov/geo/tiger/TIGER2015/UNSD/tl 2015 06 unsd.zip
ftp:/ftp2.census.gov/geo/tiger/TIGER2015/SCSD/tl_ 2015 06 _scsd.zip
ftp:/ftp2.census.gov/geo/tiger/ TIGER2015/ELSD/tl 2015 06 _elsd.zip

| unzipped these and opened the shp files in them (using Layer -> 'Add Vector Layer...")

| have them displaying with different colors and flipped through the various layers.

What is wrong is this. If | check the ELSD layer but select the UNSD layer in the layer browser list, then when | use the 'ldentify Feature'
tool, it identifies the UNSD shapes even though | cannot see them. | am looking, in the map, at only the ELSD shapes.

See the screen shot enclosed. The shapes displayed are ELSD but the tl_2015_06_scsd layer has been selected in the layer browser and
the selected area in the map and the 'ldentify Results' info is for a SCSD.

If all | can see at the present moment are the ELSD shapes, then when | click on a shape, that is the shape that the tool should act on.
Anything else seems non-obvious. The fact that the UNSD layer is selected in the browser should be irrelevant if the UNSD shapes are

not being displayed.

In the second screen shot, it seems even clearer. The shape being described in the 'Filter Results' is not drawn on the map at all.

History

#1 - 2015-09-01 07:38 AM - Harrissou Santanna
Hi,

This is not a bug but might have to do with the mode you set for the Identify tool. reading this, you may have chosen "Current Layer" so features from the
selected layer, visible or not, are identified. Try with "Top down" option.

#2 - 2015-09-09 06:47 AM - Saber Razmjooei
- Status changed from Open to Feedback

#3 - 2015-09-09 01:50 PM - Ray Kiddy

The suggestion to switch the mode of the Identify tool to 'top down' gave me the expected behavior.
ftp://ftp2.census.gov/geo/tiger/TIGER2015/UNSD/tl_2015_06_unsd.zip
ftp://ftp2.census.gov/geo/tiger/TIGER2015/SCSD/tl_2015_06_scsd.zip
ftp://ftp2.census.gov/geo/tiger/TIGER2015/ELSD/tl_2015_06_elsd.zip
http://docs.qgis.org/2.0/en/docs/user_manual/introduction/qgis_configuration.html#map-tools-menu

Perhaps this should be the default setting. Does the current default make more sense, perhaps in some other use case?

#4 - 2015-11-10 04:10 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed

Feel free to make a suggestion/patch for the documentation.
